/*******************************************************************************
 * Copyright (c) 2004 Actuate Corporation.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *  Actuate Corporation  - initial API and implementation
 *******************************************************************************/

package org.eclipse.birt.chart.reportitem.ui.dialogs;

import java.util.List;

import org.eclipse.birt.report.designer.ui.extensions.PropertyTabUIAdapter;
import org.eclipse.birt.report.designer.ui.views.attributes.AttributesUtil;
import org.eclipse.swt.widgets.Composite;

/**
 * ChartFilterTabUIImpl
 */
public class ChartFilterTabUIImpl extends PropertyTabUIAdapter
{

	private Object page;

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.eclipse.birt.report.designer.ui.extensions.IPropertyTabUI#buildUI(org.eclipse.swt.widgets.Composite)
	 */
	public void buildUI( Composite composite )
	{
		page = AttributesUtil.buildFilterPage( composite );
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.eclipse.birt.report.designer.ui.extensions.IPropertyTabUI#getTabDisplayName()
	 */
	public String getTabDisplayName( )
	{
		return AttributesUtil.getFilterPageDisplayName( );
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.eclipse.birt.report.designer.ui.extensions.IPropertyTabUI#setInput(java.util.List)
	 */
	public void setInput( List elements )
	{
		AttributesUtil.setPageInput( page, elements );
	}

}
