/*******************************************************************************
 * Copyright (c) 2004 Actuate Corporation .
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *  Actuate Corporation  - initial API and implementation
 *******************************************************************************/

package org.eclipse.birt.report.designer.internal.ui.editors.schematic.extensions;

import java.util.List;

import org.eclipse.birt.report.designer.ui.extensions.IPropertyTabUI;
import org.eclipse.birt.report.designer.ui.extensions.IReportItemPropertyEditUI;
import org.eclipse.birt.report.designer.ui.views.attributes.DefaultPageGenerator;
import org.eclipse.swt.SWT;
import org.eclipse.swt.widgets.TabFolder;
import org.eclipse.swt.widgets.TabItem;

/**
 * Generats attribute page for extended item.
 */
public class ExtendedItemPageGenerator extends DefaultPageGenerator
{

	IReportItemPropertyEditUI propertyEditUI = null;

	/* (non-Javadoc)
	 * @see org.eclipse.birt.report.designer.ui.views.attributes.IPageGenerator#createTabItems(org.eclipse.swt.widgets.TabFolder, java.util.List)
	 */
	public void createTabItems( TabFolder tabFolder, List input )
	{
		super.createTabItems( tabFolder, input );
		if ( getPropertyEditUI( ) != null )
		{
			IPropertyTabUI[] tabs = getPropertyEditUI( ).getCategoryTabs( );

			for ( int i = 0; i < tabs.length; i++ )
			{
				ExtendedItemPage page = new ExtendedItemPage( tabFolder,
						SWT.NONE,
						tabs[i] );
				TabItem tabItem = new TabItem( tabFolder, SWT.NONE );
				tabItem.setText( tabs[i].getTabDisplayName( ) );
				tabItem.setControl( page );
				page.setInput( input );
			}
		}
	}

	/**
	 * @return property edit.
	 */
	public IReportItemPropertyEditUI getPropertyEditUI( )
	{
		return propertyEditUI;
	}

	/**
	 * Set property edit.
	 * 
	 * @param quickEdit
	 */
	public void setPropertyEditUI( IReportItemPropertyEditUI propertyEditUI )
	{
		this.propertyEditUI = propertyEditUI;
	}
}
