/*******************************************************************************
 * Copyright (c) 2004 Actuate Corporation.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *  Actuate Corporation  - initial API and implementation
 *******************************************************************************/

package org.eclipse.birt.report.designer.internal.ui.views.attributes.page;

import org.eclipse.birt.report.model.api.StyleHandle;
import org.eclipse.birt.report.model.api.elements.ReportDesignConstants;
import org.eclipse.swt.widgets.Composite;

/**
 * The Cell Padding attribute page of DE element.
 */
public class CellPaddingPage extends AttributePage
{

	/**
	 * Constructor
	 * 
	 * @param parent
	 *            A widget which will be the parent of the new instance (cannot
	 *            be null)
	 * @param style
	 *            The style of widget to construct
	 */
	public CellPaddingPage( Composite parent, int style )
	{
		super( parent, style );
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.eclipse.birt.report.designer.ui.attributes.page.AttributePage#buildUI()
	 */
	protected void buildUI( )
	{
		setLayout( WidgetUtil.createGridLayout( 5 ) );

		String[] padProperties = {
				StyleHandle.PADDING_TOP_PROP,
				StyleHandle.PADDING_BOTTOM_PROP,
				StyleHandle.PADDING_LEFT_PROP,
				StyleHandle.PADDING_RIGHT_PROP
		};

		for ( int i = 0; i < padProperties.length; i++ )
		{
			WidgetUtil.buildGridControl( this,
					propertiesMap,
					ReportDesignConstants.STYLE_ELEMENT,
					padProperties[i],
					1,
					true );


				WidgetUtil.createGridPlaceholder( this, 3, true );

		}

	}
}