/*******************************************************************************
 * Copyright (c) 2004 Actuate Corporation.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *  Actuate Corporation  - initial API and implementation
 *******************************************************************************/

package org.eclipse.birt.report.designer.internal.ui.views.attributes.page;

import org.eclipse.birt.report.designer.ui.views.attributes.providers.AttributeConstant;
import org.eclipse.birt.report.model.api.CellHandle;
import org.eclipse.birt.report.model.api.ReportItemHandle;
import org.eclipse.birt.report.model.api.StyleHandle;
import org.eclipse.birt.report.model.api.elements.ReportDesignConstants;
import org.eclipse.swt.widgets.Composite;

/**
 * The general attribute page of Cell element.
 */
public class CellPage extends AttributePage
{

	/**
	 * Constructor
	 * 
	 * @param parent
	 *            A widget which will be the parent of the new instance (cannot
	 *            be null)
	 * @param style
	 *            The style of widget to construct
	 */
	public CellPage( Composite parent, int style )
	{
		super( parent, style );
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.eclipse.birt.report.designer.internal.ui.views.attributes.page.AttributePage#buildUI()
	 */
	protected void buildUI( )
	{
		setLayout( WidgetUtil.createGridLayout( 5 ) );

		WidgetUtil.buildGridControl( this,
				propertiesMap,
				ReportDesignConstants.CELL_ELEMENT,
				CellHandle.DROP_PROP,
				1,
				false );

		WidgetUtil.buildGridControl( this,
				propertiesMap,
				ReportDesignConstants.STYLE_ELEMENT,
				StyleHandle.BACKGROUND_COLOR_PROP,
				1,
				false );

		WidgetUtil.createGridPlaceholder( this, 1, true );

		//		WidgetUtil
		//				.buildGridControl( this, propertiesMap,
		//						ReportDesignConstants.CELL_ELEMENT, Cell.COL_SPAN_PROP,
		//						1, true );
		//
		//		WidgetUtil
		//				.buildGridControl( this, propertiesMap,
		//						ReportDesignConstants.CELL_ELEMENT, Cell.ROW_SPAN_PROP,
		//						1, true );

		WidgetUtil.buildGridControl( this,
				propertiesMap,
				ReportDesignConstants.STYLE_ELEMENT,
				StyleHandle.VERTICAL_ALIGN_PROP,
				1,
				false );

		WidgetUtil.buildGridControl( this,
				propertiesMap,
				ReportDesignConstants.STYLE_ELEMENT,
				AttributeConstant.HORIZONTAL_ALIGN,
				1,
				false );

		WidgetUtil.createGridPlaceholder( this, 1, true );

		WidgetUtil.createHorizontalLine( this, 5 );

		WidgetUtil.buildGridControl( this,
				propertiesMap,
				ReportDesignConstants.CELL_ELEMENT,
				ReportItemHandle.STYLE_PROP,
				1,
				false );

	}

}