/*******************************************************************************
 * Copyright (c) 2004 Actuate Corporation.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *  Actuate Corporation  - initial API and implementation
 *******************************************************************************/

package org.eclipse.birt.report.designer.internal.ui.views.attributes.page;

import org.eclipse.birt.report.model.api.TextDataHandle;
import org.eclipse.birt.report.model.api.elements.ReportDesignConstants;
import org.eclipse.swt.layout.GridData;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Control;

/**
 * Attribute page for data item expression property.
 */

public class ExpressionPage extends AttributePage
{

	/**
	 * The constructor.
	 * 
	 * @param parent
	 * @param style
	 */
	public ExpressionPage( Composite parent, int style )
	{
		super( parent, style );
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.eclipse.birt.report.designer.internal.ui.views.attributes.page.AttributePage#buildUI()
	 */
	protected void buildUI( )
	{
		setLayout( WidgetUtil.createGridLayout( 1 ) );

		Control ctrl = WidgetUtil.buildGridControl( this,
				propertiesMap,
				ReportDesignConstants.TEXT_DATA_ITEM,
				TextDataHandle.VALUE_EXPR_PROP,
				1,
				true );
		GridData gd = new GridData(GridData.FILL_VERTICAL);
		gd.widthHint = 500;

		ctrl.setLayoutData( gd);
	}
}