/*******************************************************************************
 * Copyright (c) 2004 Actuate Corporation.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *  Actuate Corporation  - initial API and implementation
 *******************************************************************************/

package org.eclipse.birt.report.designer.internal.ui.views.attributes.page;

import org.eclipse.birt.report.model.api.ReportItemHandle;
import org.eclipse.birt.report.model.api.elements.ReportDesignConstants;
import org.eclipse.swt.widgets.Composite;

/**
 * The general attribute page of Image element.
 */
public class ImagePage extends GeneralPage
{

	/**
	 * @param parent
	 *            A widget which will be the parent of the new instance (cannot
	 *            be null)
	 * @param style
	 *            The style of widget to construct
	 */
	public ImagePage( Composite parent, int style )
	{
		super( parent, style );
	}

//	/*
//	 * (non-Javadoc)
//	 * 
//	 * @see org.eclipse.birt.report.designer.ui.attributes.page.CategoryTabPage#buildUI()
//	 */
//	protected void buildUI( )
//	{
//		setLayout( WidgetUtil.createGridLayout( 5 ) );
//
//		WidgetUtil.buildGridControl( this,
//				propertiesMap,
//				ReportDesignConstants.IMAGE_ITEM,
//				ReportItemHandle.NAME_PROP,
//				1,
//				false );
//		
//		WidgetUtil.createHorizontalLine(this,5);
//
//		WidgetUtil.buildGridControl( this,
//				propertiesMap,
//				ReportDesignConstants.REPORT_ITEM,
//				ReportItemHandle.WIDTH_PROP,
//				1,
//				false );
//		
//		WidgetUtil.buildGridControl( this,
//				propertiesMap,
//				ReportDesignConstants.REPORT_ITEM,
//				ReportItemHandle.HEIGHT_PROP,
//				1,
//				false );
//
//		WidgetUtil.createGridPlaceholder( this, 1, true );
//		
//		WidgetUtil.createHorizontalLine( this, 5 );
//
//		WidgetUtil.buildGridControl( this,
//				propertiesMap,
//				ReportDesignConstants.REPORT_ITEM,
//				ReportItemHandle.STYLE_PROP,
//				1,
//				false );
//	}
	
	protected void buildUI( )
	{
		setContentLayout( WidgetUtil.createGridLayout( 5 ) );
		super.buildUI( );
	}
	


	void buildContent( Composite content )
	{
		WidgetUtil.buildGridControl( content,
		propertiesMap,
		ReportDesignConstants.IMAGE_ITEM,
		ReportItemHandle.NAME_PROP,
		1,
		false );

		WidgetUtil.createHorizontalLine(content,5);
		
		WidgetUtil.buildGridControl( content,
				propertiesMap,
				ReportDesignConstants.REPORT_ITEM,
				ReportItemHandle.WIDTH_PROP,
				1,
				false );
		
		WidgetUtil.buildGridControl( content,
				propertiesMap,
				ReportDesignConstants.REPORT_ITEM,
				ReportItemHandle.HEIGHT_PROP,
				1,
				false );

		WidgetUtil.createGridPlaceholder( content, 1, true );
		
		WidgetUtil.createHorizontalLine( content, 5 );

		WidgetUtil.buildGridControl( content,
				propertiesMap,
				ReportDesignConstants.REPORT_ITEM,
				ReportItemHandle.STYLE_PROP,
				1,
				false );
		
	}

}