/*******************************************************************************
 * Copyright (c) 2005 Actuate Corporation.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *  Actuate Corporation  - initial API and implementation
 *******************************************************************************/

package org.eclipse.birt.report.designer.internal.ui.views.attributes.page;

import org.eclipse.birt.report.model.api.StyleHandle;
import org.eclipse.birt.report.model.api.elements.ReportDesignConstants;
import org.eclipse.swt.widgets.Composite;

/**
 * 
 * @author Zhipeng Zhang
 */
public class ItemMarginPage extends AttributePage
{

	/**
	 * @param parent
	 * @param style
	 */
	public ItemMarginPage( Composite parent, int style )
	{
		super( parent, style );
		// TODO Auto-generated constructor stub
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.eclipse.birt.report.designer.internal.ui.views.attributes.page.AttributePage#buildUI()
	 */
	protected void buildUI( )
	{
		setLayout( WidgetUtil.createGridLayout( 5 ) );

		String[] padProperties = {StyleHandle.MARGIN_TOP_PROP,StyleHandle.MARGIN_BOTTOM_PROP,
				StyleHandle.MARGIN_LEFT_PROP, 
				StyleHandle.MARGIN_RIGHT_PROP};

		for ( int i = 0; i < padProperties.length; i++ )
		{
			WidgetUtil.buildGridControl( this, propertiesMap,
					ReportDesignConstants.STYLE_ELEMENT, padProperties[i], 1,
					true );

			WidgetUtil.createGridPlaceholder( this, 3, true );
		}

	}

}