/*******************************************************************************
 * Copyright (c) 2004 Actuate Corporation.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *  Actuate Corporation  - initial API and implementation
 *******************************************************************************/

package org.eclipse.birt.report.designer.internal.ui.views.attributes.page;

import org.eclipse.birt.report.model.api.ScalarParameterHandle;
import org.eclipse.birt.report.model.api.elements.ReportDesignConstants;
import org.eclipse.swt.widgets.Composite;

/**
 * 
 */

public class ScalarParameterPage extends AttributePage
{

	/**
	 * @param parent
	 * @param style
	 */
	public ScalarParameterPage( Composite parent, int style )
	{
		super( parent, style );
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.eclipse.birt.report.designer.internal.ui.views.attributes.page.AttributePage#buildUI()
	 */
	protected void buildUI( )
	{
		this.setLayout( WidgetUtil.createGridLayout( 3 ) );

		WidgetUtil.buildGridControl( this,
				propertiesMap,
				ReportDesignConstants.SCALAR_PARAMETER_ELEMENT,
				ScalarParameterHandle.NAME_PROP,
				1,
				500 );
		WidgetUtil.createGridPlaceholder( this, 1, true );

		WidgetUtil.buildGridControl( this,
				propertiesMap,
				ReportDesignConstants.SCALAR_PARAMETER_ELEMENT,
				ScalarParameterHandle.DATA_TYPE_PROP,
				1,
				500 );
		WidgetUtil.createGridPlaceholder( this, 1, true );

		WidgetUtil.buildGridControl( this,
				propertiesMap,
				ReportDesignConstants.SCALAR_PARAMETER_ELEMENT,
				ScalarParameterHandle.CONTROL_TYPE_PROP,
				1,
				500 );
		WidgetUtil.createGridPlaceholder( this, 1, true );

	}

}
