/*******************************************************************************
 * Copyright (c) 2004 Actuate Corporation.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *  Actuate Corporation  - initial API and implementation
 *******************************************************************************/

package org.eclipse.birt.report.designer.internal.ui.views.attributes.page;

import org.eclipse.birt.report.model.api.StyleHandle;
import org.eclipse.birt.report.model.api.elements.ReportDesignConstants;
import org.eclipse.swt.widgets.Composite;

/**
 * The section attribute page of DE element.
 */
public class SectionPage extends AttributePage
{

	/**
	 * @param parent
	 *            A widget which will be the parent of the new instance (cannot
	 *            be null)
	 * @param style
	 *            The style of widget to construct
	 */
	public SectionPage( Composite parent, int style )
	{
		super( parent, style );
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.eclipse.birt.report.designer.internal.ui.views.attributes.page.AttributePage#buildUI()
	 */
	protected void buildUI( )
	{
		setLayout( WidgetUtil.createGridLayout( 5 ) );

		String[] properties = {
				StyleHandle.PAGE_BREAK_BEFORE_PROP,
				StyleHandle.PAGE_BREAK_AFTER_PROP,
		};

		WidgetUtil.buildGridControl( this,
				propertiesMap,
				ReportDesignConstants.STYLE_ELEMENT,
				properties[0],
				1,
				200 );
		
		WidgetUtil.buildGridControl( this,
				propertiesMap,
				ReportDesignConstants.STYLE_ELEMENT,
				StyleHandle.MASTER_PAGE_PROP,
				1,
				200 );
		
		WidgetUtil.createGridPlaceholder( this, 1, true );
		
		WidgetUtil.buildGridControl( this,
				propertiesMap,
				ReportDesignConstants.STYLE_ELEMENT,
				properties[1],
				1,
				200 );

		WidgetUtil.createGridPlaceholder( this, 3, true );

	}
}