/*******************************************************************************
 * Copyright (c) 2004 Actuate Corporation.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *  Actuate Corporation  - initial API and implementation
 *******************************************************************************/

package org.eclipse.birt.report.designer.ui.views.attributes;

import java.util.List;

import org.eclipse.swt.widgets.Composite;

/**
 * An attribute page Presents some attributes of a DE element.
 */
public abstract class TabPage extends Composite
{

	/**
	 * Constructor
	 * 
	 * @param parent
	 *            An widget which will be the parent of the new instance (cannot
	 *            be null)
	 * @param style
	 *            The style of widget to construct
	 */
	public TabPage( Composite parent, int style )
	{
		super( parent, style );
	}

	/**
	 * Sets the model object correspond to the UI elements.
	 * 
	 * @param elements
	 *            The current selection.
	 */
	public abstract void setInput( List elements );
}