
package org.eclipse.birt.report.engine.internal.executor.l18n;

import java.util.LinkedList;

import org.eclipse.birt.report.engine.executor.IReportItemExecutor;
import org.eclipse.birt.report.engine.presentation.LocalizedContentVisitor;

class LocalizedReportItemExecutorManager
{

	LinkedList freeList = new LinkedList( );
	LocalizedContentVisitor l18nVisitor;

	LocalizedReportItemExecutorManager( LocalizedContentVisitor l18nVisitor )
	{
		this.l18nVisitor = l18nVisitor;
	}

	LocalizedReportItemExecutor createExecutor( IReportItemExecutor executor )
	{
		LocalizedReportItemExecutor l18nExecutor = null;
		if ( !freeList.isEmpty( ) )
		{
			l18nExecutor = (LocalizedReportItemExecutor) freeList.removeFirst( );
		}
		else
		{
			l18nExecutor = new LocalizedReportItemExecutor( this );
		}
		l18nExecutor.setExecutor( executor );
		return l18nExecutor;
	}

	void releaseExecutor( LocalizedReportItemExecutor executor )
	{
		freeList.addLast( executor );
	}
}
