/*******************************************************************************
 * Copyright (c) 2004 Actuate Corporation.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *  Actuate Corporation  - initial API and implementation
 *******************************************************************************/

package org.eclipse.birt.report.engine.presentation;

import org.eclipse.birt.report.engine.content.IContent;
import org.eclipse.birt.report.engine.content.IStyle;

public class HTMLPaginationEmitter extends DefaultPaginationEmitter
{

	public HTMLPaginationEmitter( IPaginationBuilder builder )
	{
		super( builder );
	}

	protected boolean needPageBreakBefore( IContent content )
	{
		boolean ret = hasMasterPageChanged( content );

		IStyle style = content.getStyle( );
		String pageBreak = style.getPageBreakBefore( );
		if ( IStyle.CSS_ALWAYS_VALUE == pageBreak
				|| IStyle.CSS_LEFT_VALUE == pageBreak
				|| IStyle.CSS_RIGHT_VALUE == pageBreak
				|| IStyle.BIRT_SOFT_VALUE == pageBreak )
		{
			style.setPageBreakBefore( IStyle.CSS_AUTO_VALUE );
			return true;
		}

		return ret;
	}

	protected boolean needPageBreakAfter( IContent content )
	{
		IStyle style = content.getStyle( );
		String pageBreak = style.getPageBreakAfter( );
		if ( IStyle.CSS_ALWAYS_VALUE == pageBreak
				|| IStyle.CSS_LEFT_VALUE == pageBreak
				|| IStyle.CSS_RIGHT_VALUE == pageBreak )
		{
			style.setPageBreakAfter( IStyle.CSS_AUTO_VALUE );
			return true;
		}
		return false;
	}
}
