/*******************************************************************************
 * Copyright (c) 2004 Actuate Corporation.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *  Actuate Corporation  - initial API and implementation
 *******************************************************************************/

package org.eclipse.birt.report.engine.presentation;

import org.eclipse.birt.report.engine.content.IPageContent;
import org.eclipse.birt.report.engine.emitter.IContentEmitter;
import org.eclipse.birt.report.engine.layout.ILayoutPageHandler;

public interface IPaginationBuilder
{

	/**
	 * set the input source. The input is received through this event.
	 * 
	 * @return
	 */
	IContentEmitter getInputEmitter( );
	
	/**
	 * 
	 * @param content
	 */
	//void layout(IReportContent report);

	/**
	 * set output source
	 * 
	 * @param emitter
	 */
	void setOutputEmitter( IContentEmitter emitter );

	/**
	 * set the page handler. Once the builder has built a page, it will call the
	 * even handler.
	 * 
	 * @param pageHandler
	 */
	void setLayoutPageHandler( ILayoutPageHandler pageHandler );

	/**
	 * build a empty page for page number,.
	 * 
	 * @param pageNumber
	 *            page number
	 * @param masterPage
	 *            name of the master page
	 * @return
	 */
	IPageContent buildPageContent( long pageNumber, String masterPage );

}
