/*******************************************************************************
 * Copyright (c) 2004 Actuate Corporation.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *  Actuate Corporation  - initial API and implementation
 *******************************************************************************/

package org.eclipse.birt.report.model.elements.strategy;

import org.eclipse.birt.report.model.core.Module;
import org.eclipse.birt.report.model.core.PropertySearchStrategy;

/**
 * The property searching strategy that can return the root of the element that
 * has the local value. Currently, only JointDataSet uses.
 */

public class LibraryNamespaceSearchStrategy extends PropertySearchStrategy
{

	/**
	 * The module.
	 */

	private Module moduleOfValue = null;

	/**
	 * Default constructor.
	 */

	public LibraryNamespaceSearchStrategy( )
	{
		super( );
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.eclipse.birt.report.model.core.PropertySearchStrategy#setModuleOfValue(org.eclipse.birt.report.model.core.Module)
	 */

	protected void setModuleOfValue( Module module )
	{
		moduleOfValue = module;
	}

	/**
	 * Return the library/design of the element that has the local value.
	 * 
	 * @return the module
	 */

	public Module getModuleOfValue( )
	{
		return moduleOfValue;
	}
}
